libzypp 17.37.10

zyppng::RepoManagerPrivate Class Reference

`#include <zypp/ng/private/repomanager_p.h>`

Inheritance diagram for zyppng::RepoManagerPrivate:

## Public Member Functions
| RepoManagerPrivate (ContextRef ctx, RepoManagerOptions repoOpts, RepoManager &p)
AsyncOpRef< expected< zypp::repo::RepoType > > | probe (const zypp::Url &url, const zypp::Pathname &path=zypp::Pathname()) const
void | removeRepository (const zypp::RepoInfo &info, const zypp::ProgressData::ReceiverFnc &) override
Public Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Public Attributes
ContextWeakRef | _context
Public Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 18 of file repomanager_p.h.

## Constructor & Destructor Documentation

## ◆ RepoManagerPrivate()

zyppng::RepoManagerPrivate::RepoManagerPrivate | ( | ContextRef | ctx,
|  | RepoManagerOptions | repoOpts,
|  | RepoManager & | p )

## Member Function Documentation

## ◆ probe()

AsyncOpRef< expected< zypp::repo::RepoType > > zyppng::RepoManagerPrivate::probe | ( | const zypp::Url & | url,
|  | const zypp::Pathname & | path = zypp::Pathname() ) const

## ◆ removeRepository()

void zyppng::RepoManagerPrivate::removeRepository | ( | const zypp::RepoInfo & | info,
|  | const zypp::ProgressData::ReceiverFnc & | )
| override

## Member Data Documentation

## ◆ _context

ContextWeakRef zyppng::RepoManagerPrivate::_context

Definition at line 27 of file repomanager_p.h.

The documentation for this class was generated from the following file:

- zypp/ng/private/repomanager_p.h